Delete a dataset
curl --request DELETE \
--url https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets/{datasetId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets/{datasetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets/{datasetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Delete a dataset
DELETE
/
tasks
/
{alias}
/
datasets
/
{datasetId}
Delete a dataset
Authorizations
A personal or service-account W&B API key.
Headers
Accessible personal or team entity. Omit to use the API key's default entity.
Response
Dataset and owned Studio results were removed.
Last modified on August 25, 2026
Was this page helpful?
⌘I